<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.2" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_2.xsd">
  <!-- Define Persistence Unit -->
  <persistence-unit name="my_persistence_unit" transaction-type="JTA">
    <class>com.park.parkinglot.entity.User</class>
    <class>com.park.parkinglot.entity.Car</class>
    <jta-data-source>jdbc/sample</jta-data-source>
    <properties>
      <property name="javax.persistence.schema-generation.database.action" value="create"/>
      <property name="javax.persistence.jdbc.url" value="jdbc:derby://localhost:1527/ParkingLot"/>
      <property name="javax.persistence.jdbc.user" value="ParkingLotUser"/>
      <property name="javax.persistence.jdbc.driver" value="org.apache.derby.jdbc.ClientDriver"/>
      <property name="javax.persistence.jdbc.password" value="1234567"/>
    </properties>
  </persistence-unit>
</persistence>
